Index: /trunk/wp-admin/js/accordion.min.js
===================================================================
--- /trunk/wp-admin/js/accordion.min.js	(revision 23856)
+++ /trunk/wp-admin/js/accordion.min.js	(revision 23857)
@@ -1,1 +1,1 @@
-jQuery(document).ready(function(a){a(".accordion-section-title").on("click keydown",function(c){if(c.type==="keydown"&&13!==c.which){return}var b=a(this).closest(".accordion-section");if(b.hasClass("cannot-expand")){return}b.closest(".accordion-container").find(".accordion-section").not(b).removeClass("open");b.toggleClass("open");c.preventDefault()})});jQuery(document).ready(function(a){a(".accordion-section-title").on("click keydown",function(c){if(c.type==="keydown"&&13!==c.which){return}var b=a(this).closest(".accordion-section");if(b.hasClass("cannot-expand")){return}b.closest(".accordion-container").find(".accordion-section").not(b).removeClass("open");b.toggleClass("open");c.preventDefault()})});jQuery(document).ready(function(a){a(".accordion-section-title").on("click keydown",function(c){if(c.type==="keydown"&&13!==c.which){return}var b=a(this).closest(".accordion-section");if(b.hasClass("cannot-expand")){return}b.closest(".accordion-container").find(".accordion-section").not(b).removeClass("open");b.toggleClass("open");c.preventDefault()})});
+jQuery(document).ready(function(a){a(".accordion-container").on("click keydown",".accordion-section-title",function(c){if(c.type==="keydown"&&13!==c.which){return}c.preventDefault();var b=a(this).closest(".accordion-section");if(b.hasClass("cannot-expand")){return}b.closest(".accordion-container").find(".accordion-section").not(b).removeClass("open");b.toggleClass("open")})});
Index: /trunk/wp-admin/js/post-formats.min.js
===================================================================
--- /trunk/wp-admin/js/post-formats.min.js	(revision 23856)
+++ /trunk/wp-admin/js/post-formats.min.js	(revision 23857)
@@ -1,1 +1,1 @@
-window.wp=window.wp||{};(function(d){var b,a,e,c;d(function(){d(".post-format-options a").on("click",function(m){var l=d(this),i,f,h=l.parent(),k=l.data("wp-format"),g=d("#post-body-content"),j=d(".post-format-description");h.find("a.active").removeClass("active");l.addClass("active");d("#icon-edit").removeClass(postFormats.currentPostFormat).addClass(k);d("#post_format").val(k);g.get(0).className=g.get(0).className.replace(/\bwp-format-[^ ]+/,"");g.addClass("wp-format-"+k);d("#title").focus();j.html(l.data("description"));if(j.not(":visible")){j.slideDown("fast")}if(typeof tinymce!="undefined"){i=tinymce.get("content");if(i){f=i.getBody();f.className=f.className.replace(/\bpost-format-[^ ]+/,"");i.dom.addClass(f,"post-format-"+k)}}postFormats.currentPostFormat=k;m.preventDefault()}).on("mouseenter focusin",function(){d(".post-format-tip").html(d(this).prop("title"))}).on("mouseleave focusout",function(){d(".post-format-tip").html(d(".post-format-options a.active").prop("title"))});d(".wp-format-media-select").click(function(h){h.preventDefault();var f=d(this),j,g,i="image",k="",j=f.closest(".wp-format-media-holder"),g=d("#wp_format_"+j.data("format"));switch(j.data("format")){case"audio":i="audio";break;case"video":i="video";break}if(b&&a===i&&e===k){b.open();return}a=i;e=k;b=wp.media.frames.formatMedia=wp.media({title:f.data("choose"),toolbar:k,library:{type:i},button:{text:f.data("update")}});c=function(n,l,m){d("#"+n+"-preview").remove();j.parent().prepend('<div id="'+n+'-preview" class="wp-format-media-preview"><'+n+' class="wp-'+n+'-shortcode" controls="controls" preload="none"><source type="'+m+'" src="'+l+'" /></'+n+"></div>");d(".wp-"+n+"-shortcode").mediaelementplayer()};b.on("select",function(){var n=b.state().get("selection").first(),m,l,o;o=n.get("id");l=n.get("url");m=n.get("mime");if(0===m.indexOf("audio")){g.val(l);c("audio",l,m)}else{if(0===m.indexOf("video")){g.val(l);c("video",l,m)}else{g.val(o);f.html('<img src="'+l+'" />');j.removeClass("empty").show()}}});b.open()})})})(jQuery);
+window.wp=window.wp||{};(function(g){var c,b,a,h,f,e=["standard","chat","status","aside"];function d(i){c.get(0).className=c.get(0).className.replace(/\bwp-format-[^ ]+/,"");c.addClass("wp-format-"+i)}g(function(){var i=g(".post-formats-fields");g(".post-format-options").on("click","a",function(p){p.preventDefault();var o=g(this),l,j,k=o.parent(),n=o.data("wp-format"),m=g(".post-format-description");if(typeof c==="undefined"){c=g("#post-body-content")}if(n===postFormats.currentPostFormat){return}k.find("a.active").removeClass("active");o.addClass("active");g("#icon-edit").removeClass(postFormats.currentPostFormat).addClass(n);g("#post_format").val(n);if(-1<g.inArray(n,e)&&-1<g.inArray(postFormats.currentPostFormat,e)){d(n)}else{i.slideUp(200,function(){d(n);i.slideDown(400)})}g("#title").focus();m.html(o.data("description"));if(m.not(":visible")){m.slideDown("fast")}if(typeof tinymce!="undefined"){l=tinymce.get("content");if(l){j=l.getBody();j.className=j.className.replace(/\bpost-format-[^ ]+/,"");l.dom.addClass(j,"post-format-"+n)}}postFormats.currentPostFormat=n}).on("mouseenter focusin","a",function(){g(".post-format-tip").html(g(this).prop("title"))}).on("mouseleave focusout","a",function(){g(".post-format-tip").html(g(".post-format-options a.active").prop("title"))});g(".wp-format-media-select").click(function(l){l.preventDefault();var j=g(this),n,k,m="image",o="",n=j.closest(".wp-format-media-holder"),k=g("#wp_format_"+n.data("format"));switch(n.data("format")){case"audio":m="audio";break;case"video":m="video";break}if(b&&a===m&&h===o){b.open();return}a=m;h=o;b=wp.media.frames.formatMedia=wp.media({title:j.data("choose"),toolbar:o,library:{type:m},button:{text:j.data("update")}});f=function(r,p,q){g("#"+r+"-preview").remove();n.parent().prepend('<div id="'+r+'-preview" class="wp-format-media-preview"><'+r+' class="wp-'+r+'-shortcode" controls="controls" preload="none"><source type="'+q+'" src="'+p+'" /></'+r+"></div>");g(".wp-"+r+"-shortcode").mediaelementplayer()};b.on("select",function(){var r=b.state().get("selection").first(),q,p,s;s=r.get("id");p=r.get("url");q=r.get("mime");if(0===q.indexOf("audio")){k.val(p);f("audio",p,q)}else{if(0===q.indexOf("video")){k.val(p);f("video",p,q)}else{k.val(s);j.html('<img src="'+p+'" />');n.removeClass("empty").show()}}});b.open()})})})(jQuery);
Index: /trunk/wp-includes/version.php
===================================================================
--- /trunk/wp-includes/version.php	(revision 23856)
+++ /trunk/wp-includes/version.php	(revision 23857)
@@ -5,5 +5,5 @@
  * @global string $wp_version
  */
-$wp_version = '3.6-alpha-23852';
+$wp_version = '3.6-alpha-23857';
 
 /**