Index: /trunk/src/wp-content/themes/twentyfourteen/404.php
===================================================================
--- /trunk/src/wp-content/themes/twentyfourteen/404.php	(revision 25768)
+++ /trunk/src/wp-content/themes/twentyfourteen/404.php	(revision 25769)
@@ -1,8 +1,9 @@
 <?php
 /**
- * The template for displaying 404 pages (Not Found).
+ * The template for displaying 404 pages (Not Found)
  *
  * @package WordPress
  * @subpackage Twenty_Fourteen
+ * @since Twenty Fourteen 1.0
  */
 
Index: /trunk/src/wp-content/themes/twentyfourteen/archive.php
===================================================================
--- /trunk/src/wp-content/themes/twentyfourteen/archive.php	(revision 25768)
+++ /trunk/src/wp-content/themes/twentyfourteen/archive.php	(revision 25769)
@@ -1,5 +1,5 @@
 <?php
 /**
- * The template for displaying Archive pages.
+ * The template for displaying Archive pages
  *
  * Used to display archive-type pages if nothing more specific matches a query.
@@ -11,8 +11,9 @@
  * and author.php for Author archives.
  *
- * Learn more: http://codex.wordpress.org/Template_Hierarchy
+ * @link http://codex.wordpress.org/Template_Hierarchy
  *
  * @package WordPress
  * @subpackage Twenty_Fourteen
+ * @since Twenty Fourteen 1.0
  */
 
Index: /trunk/src/wp-content/themes/twentyfourteen/author.php
===================================================================
--- /trunk/src/wp-content/themes/twentyfourteen/author.php	(revision 25768)
+++ /trunk/src/wp-content/themes/twentyfourteen/author.php	(revision 25769)
@@ -1,10 +1,11 @@
 <?php
 /**
- * The template for displaying Author archive pages.
+ * The template for displaying Author archive pages
  *
- * Learn more: http://codex.wordpress.org/Template_Hierarchy
+ * @link http://codex.wordpress.org/Template_Hierarchy
  *
  * @package WordPress
  * @subpackage Twenty_Fourteen
+ * @since Twenty Fourteen 1.0
  */
 
@@ -19,5 +20,6 @@
 				<h1 class="archive-title">
 					<?php
-						/* Queue the first post, that way we know what author
+						/*
+						 * Queue the first post, that way we know what author
 						 * we're dealing with (if that is the case).
 						 *
@@ -37,5 +39,6 @@
 
 			<?php
-					/* Since we called the_post() above, we need to rewind
+					/*
+					 * Since we called the_post() above, we need to rewind
 					 * the loop back to the beginning that way we can run
 					 * the loop properly, in full.
Index: /trunk/src/wp-content/themes/twentyfourteen/category.php
===================================================================
--- /trunk/src/wp-content/themes/twentyfourteen/category.php	(revision 25768)
+++ /trunk/src/wp-content/themes/twentyfourteen/category.php	(revision 25769)
@@ -1,10 +1,11 @@
 <?php
 /**
- * The template for displaying Category pages.
+ * The template for displaying Category pages
  *
- * Learn more: http://codex.wordpress.org/Template_Hierarchy
+ * @link http://codex.wordpress.org/Template_Hierarchy
  *
  * @package WordPress
  * @subpackage Twenty_Fourteen
+ * @since Twenty Fourteen 1.0
  */
 
Index: /trunk/src/wp-content/themes/twentyfourteen/comments.php
===================================================================
--- /trunk/src/wp-content/themes/twentyfourteen/comments.php	(revision 25768)
+++ /trunk/src/wp-content/themes/twentyfourteen/comments.php	(revision 25769)
@@ -1,5 +1,5 @@
 <?php
 /**
- * The template for displaying Comments.
+ * The template for displaying Comments
  *
  * The area of the page that contains comments and the comment form.
@@ -7,4 +7,5 @@
  * @package WordPress
  * @subpackage Twenty_Fourteen
+ * @since Twenty Fourteen 1.0
  */
 
Index: /trunk/src/wp-content/themes/twentyfourteen/content-aside.php
===================================================================
--- /trunk/src/wp-content/themes/twentyfourteen/content-aside.php	(revision 25768)
+++ /trunk/src/wp-content/themes/twentyfourteen/content-aside.php	(revision 25769)
@@ -1,8 +1,9 @@
 <?php
 /**
- * The template for displaying posts in the Aside post format.
+ * The template for displaying posts in the Aside post format
  *
  * @package WordPress
  * @subpackage Twenty_Fourteen
+ * @since Twenty Fourteen 1.0
  */
 ?>
Index: /trunk/src/wp-content/themes/twentyfourteen/content-featured-post.php
===================================================================
--- /trunk/src/wp-content/themes/twentyfourteen/content-featured-post.php	(revision 25768)
+++ /trunk/src/wp-content/themes/twentyfourteen/content-featured-post.php	(revision 25769)
@@ -1,6 +1,9 @@
 <?php
 /**
+ * The template for displaying featured posts on the front page
+ *
  * @package WordPress
  * @subpackage Twenty_Fourteen
+ * @since Twenty Fourteen 1.0
  */
 ?>
Index: /trunk/src/wp-content/themes/twentyfourteen/content-gallery.php
===================================================================
--- /trunk/src/wp-content/themes/twentyfourteen/content-gallery.php	(revision 25768)
+++ /trunk/src/wp-content/themes/twentyfourteen/content-gallery.php	(revision 25769)
@@ -1,8 +1,9 @@
 <?php
 /**
- * The template for displaying posts in the Gallery post format.
+ * The template for displaying posts in the Gallery post format
  *
  * @package WordPress
  * @subpackage Twenty_Fourteen
+ * @since Twenty Fourteen 1.0
  */
 
Index: /trunk/src/wp-content/themes/twentyfourteen/content-image.php
===================================================================
--- /trunk/src/wp-content/themes/twentyfourteen/content-image.php	(revision 25768)
+++ /trunk/src/wp-content/themes/twentyfourteen/content-image.php	(revision 25769)
@@ -1,8 +1,9 @@
 <?php
 /**
- * The template for displaying posts in the Image post format.
+ * The template for displaying posts in the Image post format
  *
  * @package WordPress
  * @subpackage Twenty_Fourteen
+ * @since Twenty Fourteen 1.0
  */
 ?>
Index: /trunk/src/wp-content/themes/twentyfourteen/content-link.php
===================================================================
--- /trunk/src/wp-content/themes/twentyfourteen/content-link.php	(revision 25768)
+++ /trunk/src/wp-content/themes/twentyfourteen/content-link.php	(revision 25769)
@@ -1,8 +1,9 @@
 <?php
 /**
- * The template for displaying posts in the Link post format.
+ * The template for displaying posts in the Link post format
  *
  * @package WordPress
  * @subpackage Twenty_Fourteen
+ * @since Twenty Fourteen 1.0
  */
 ?>
Index: /trunk/src/wp-content/themes/twentyfourteen/content-none.php
===================================================================
--- /trunk/src/wp-content/themes/twentyfourteen/content-none.php	(revision 25768)
+++ /trunk/src/wp-content/themes/twentyfourteen/content-none.php	(revision 25769)
@@ -1,8 +1,9 @@
 <?php
 /**
- * The template for displaying a "No posts found" message.
+ * The template for displaying a "No posts found" message
  *
  * @package WordPress
  * @subpackage Twenty_Fourteen
+ * @since Twenty Fourteen 1.0
  */
 ?>
Index: /trunk/src/wp-content/themes/twentyfourteen/content-page.php
===================================================================
--- /trunk/src/wp-content/themes/twentyfourteen/content-page.php	(revision 25768)
+++ /trunk/src/wp-content/themes/twentyfourteen/content-page.php	(revision 25769)
@@ -1,8 +1,9 @@
 <?php
 /**
- * The template used for displaying page content.
+ * The template used for displaying page content
  *
  * @package WordPress
  * @subpackage Twenty_Fourteen
+ * @since Twenty Fourteen 1.0
  */
 ?>
Index: /trunk/src/wp-content/themes/twentyfourteen/content-quote.php
===================================================================
--- /trunk/src/wp-content/themes/twentyfourteen/content-quote.php	(revision 25768)
+++ /trunk/src/wp-content/themes/twentyfourteen/content-quote.php	(revision 25769)
@@ -1,8 +1,9 @@
 <?php
 /**
- * The template for displaying posts in the Quote post format.
+ * The template for displaying posts in the Quote post format
  *
  * @package WordPress
  * @subpackage Twenty_Fourteen
+ * @since Twenty Fourteen 1.0
  */
 ?>
Index: /trunk/src/wp-content/themes/twentyfourteen/content-recent-formatted-post.php
===================================================================
--- /trunk/src/wp-content/themes/twentyfourteen/content-recent-formatted-post.php	(revision 25768)
+++ /trunk/src/wp-content/themes/twentyfourteen/content-recent-formatted-post.php	(revision 25769)
@@ -1,6 +1,9 @@
 <?php
 /**
+ * The template to display recent Featured Posts
+ *
  * @package WordPress
  * @subpackage Twenty_Fourteen
+ * @since Twenty Fourteen 1.0
  */
 if ( isset( $GLOBALS['content_width'] ) )
Index: /trunk/src/wp-content/themes/twentyfourteen/content-video.php
===================================================================
--- /trunk/src/wp-content/themes/twentyfourteen/content-video.php	(revision 25768)
+++ /trunk/src/wp-content/themes/twentyfourteen/content-video.php	(revision 25769)
@@ -1,8 +1,9 @@
 <?php
 /**
- * The template for displaying posts in the Video post format.
+ * The template for displaying posts in the Video post format
  *
  * @package WordPress
  * @subpackage Twenty_Fourteen
+ * @since Twenty Fourteen 1.0
  */
 ?>
Index: /trunk/src/wp-content/themes/twentyfourteen/content.php
===================================================================
--- /trunk/src/wp-content/themes/twentyfourteen/content.php	(revision 25768)
+++ /trunk/src/wp-content/themes/twentyfourteen/content.php	(revision 25769)
@@ -1,6 +1,11 @@
 <?php
 /**
+ * The default template for displaying content
+ *
+ * Used for both single and index/archive/search.
+ *
  * @package WordPress
  * @subpackage Twenty_Fourteen
+ * @since Twenty Fourteen 1.0
  */
 ?>
Index: /trunk/src/wp-content/themes/twentyfourteen/contributor-page.php
===================================================================
--- /trunk/src/wp-content/themes/twentyfourteen/contributor-page.php	(revision 25768)
+++ /trunk/src/wp-content/themes/twentyfourteen/contributor-page.php	(revision 25769)
@@ -5,4 +5,5 @@
  * @package WordPress
  * @subpackage Twenty_Fourteen
+ * @since Twenty Fourteen 1.0
  */
 
Index: /trunk/src/wp-content/themes/twentyfourteen/featured-content.php
===================================================================
--- /trunk/src/wp-content/themes/twentyfourteen/featured-content.php	(revision 25768)
+++ /trunk/src/wp-content/themes/twentyfourteen/featured-content.php	(revision 25769)
@@ -1,5 +1,5 @@
 <?php
 /**
- * The template for displaying featured content.
+ * The template for displaying featured content
  *
  * @todo: Add support for featured content.
@@ -7,4 +7,5 @@
  * @package WordPress
  * @subpackage Twenty_Fourteen
+ * @since Twenty Fourteen 1.0
  */
 ?>
Index: /trunk/src/wp-content/themes/twentyfourteen/footer.php
===================================================================
--- /trunk/src/wp-content/themes/twentyfourteen/footer.php	(revision 25768)
+++ /trunk/src/wp-content/themes/twentyfourteen/footer.php	(revision 25769)
@@ -1,5 +1,5 @@
 <?php
 /**
- * The template for displaying the footer.
+ * The template for displaying the footer
  *
  * Contains footer content and the closing of the #main and #page div elements.
@@ -7,4 +7,5 @@
  * @package WordPress
  * @subpackage Twenty_Fourteen
+ * @since Twenty Fourteen 1.0
  */
 ?>
Index: /trunk/src/wp-content/themes/twentyfourteen/front-page.php
===================================================================
--- /trunk/src/wp-content/themes/twentyfourteen/front-page.php	(revision 25768)
+++ /trunk/src/wp-content/themes/twentyfourteen/front-page.php	(revision 25769)
@@ -1,8 +1,9 @@
 <?php
 /**
- * The template for displaying the home page.
+ * The template for displaying the home page
  *
  * @package WordPress
  * @subpackage Twenty_Fourteen
+ * @since Twenty Fourteen 1.0
  */
 
Index: /trunk/src/wp-content/themes/twentyfourteen/full-width-page.php
===================================================================
--- /trunk/src/wp-content/themes/twentyfourteen/full-width-page.php	(revision 25768)
+++ /trunk/src/wp-content/themes/twentyfourteen/full-width-page.php	(revision 25769)
@@ -5,4 +5,5 @@
  * @package WordPress
  * @subpackage Twenty_Fourteen
+ * @since Twenty Fourteen 1.0
  */
 
Index: /trunk/src/wp-content/themes/twentyfourteen/functions.php
===================================================================
--- /trunk/src/wp-content/themes/twentyfourteen/functions.php	(revision 25768)
+++ /trunk/src/wp-content/themes/twentyfourteen/functions.php	(revision 25769)
@@ -1,7 +1,7 @@
 <?php
 /**
- * Twenty Fourteen functions and definitions.
- *
- * Sets up the theme and provides some helper functions, which are used in the
+ * Twenty Fourteen functions and definitions
+ *
+ * Set up the theme and provides some helper functions, which are used in the
  * theme as custom template tags. Others are attached to action and filter
  * hooks in WordPress to change core functionality.
@@ -18,13 +18,17 @@
  *
  * For more information on hooks, actions, and filters,
- * see http://codex.wordpress.org/Plugin_API
+ * @link http://codex.wordpress.org/Plugin_API
  *
  * @package WordPress
  * @subpackage Twenty_Fourteen
- */
-
-/**
- * Sets up the content width value based on the theme's design.
- * @see twentyfourteen_content_width() for template-specific adjustments.
+ * @since Twenty Fourteen 1.0
+ */
+
+/**
+ * Set up the content width value based on the theme's design.
+ *
+ * @link twentyfourteen_content_width()
+ *
+ * @since Twenty Fourteen 1.0
  */
 if ( ! isset( $content_width ) )
@@ -33,14 +37,18 @@
 if ( ! function_exists( 'twentyfourteen_setup' ) ) :
 /**
- * Sets up theme defaults and registers support for various WordPress features.
+ * Twenty Fourteen setup.
+ *
+ * Set up theme defaults and registers support for various WordPress features.
  *
  * Note that this function is hooked into the after_setup_theme hook, which
  * runs before the init hook. The init hook is too late for some features, such
  * as indicating support post thumbnails.
+ *
+ * @since Twenty Fourteen 1.0
  */
 function twentyfourteen_setup() {
 
 	/*
-	 * Makes Twenty Fourteen available for translation.
+	 * Make Twenty Fourteen available for translation.
 	 *
 	 * Translations can be added to the /languages/ directory.
@@ -51,10 +59,8 @@
 	load_theme_textdomain( 'twentyfourteen', get_template_directory() . '/languages' );
 
-	/*
-	* This theme styles the visual editor to resemble the theme style.
-	*/
+	// This theme styles the visual editor to resemble the theme style.
 	add_editor_style( array( 'editor-style.css', twentyfourteen_font_url() ) );
 
-	// Adds RSS feed links to <head> for posts and comments.
+	// Add RSS feed links to <head> for posts and comments.
 	add_theme_support( 'automatic-feed-links' );
 
@@ -62,5 +68,5 @@
 	add_theme_support( 'post-thumbnails' );
 
-	// Adding several sizes for Post Thumbnails.
+	// Add several sizes for Post Thumbnails.
 	add_image_size( 'featured-thumbnail-large', 672, 0 );
 	add_image_size( 'featured-thumbnail-featured', 672, 336, true );
@@ -74,5 +80,5 @@
 
 	/*
-	 * Switches default core markup for search form, comment form, and comments
+	 * Switch default core markup for search form, comment form, and comments
 	 * to output valid HTML5.
 	 */
@@ -100,5 +106,7 @@
 
 /**
- * Adjusts content_width value for full-width and attachment templates.
+ * Adjust content_width value for full-width and attachment templates.
+ *
+ * @since Twenty Fourteen 1.0
  *
  * @return void
@@ -112,4 +120,6 @@
 /**
  * Getter function for Featured Content Plugin.
+ *
+ * @since Twenty Fourteen 1.0
  */
 function twentyfourteen_get_featured_posts() {
@@ -121,4 +131,6 @@
  * So that we can use a condition like
  * if ( twentyfourteen_has_featured_posts( 1 ) )
+ *
+ * @since Twenty Fourteen 1.0
  */
 function twentyfourteen_has_featured_posts( $minimum = 1 ) {
@@ -132,5 +144,7 @@
 
 /**
- * Registers two widget areas.
+ * Register two widget areas.
+ *
+ * @since Twenty Fourteen 1.0
  *
  * @return void
@@ -173,4 +187,6 @@
  * Register Lato Google font for Twenty Fourteen.
  *
+ * @since Twenty Fourteen 1.0
+ *
  * @return void
  */
@@ -188,5 +204,7 @@
 
 /**
- * Enqueues scripts and styles for front end.
+ * Enqueue scripts and styles for front end.
+ *
+ * @since Twenty Fourteen 1.0
  *
  * @return void
@@ -222,4 +240,6 @@
  * Enqueue Google fonts style to admin screen for custom header display.
  *
+ * @since Twenty Fourteen 1.0
+ *
  * @return void
  */
@@ -230,5 +250,7 @@
 
 /**
- * Sets the post excerpt length to 20 words.
+ * Set the post excerpt length to 20 words.
+ *
+ * @since Twenty Fourteen 1.0
  *
  * @param int $length
@@ -241,5 +263,7 @@
 
 /**
- * Returns a "Continue Reading" link for excerpts
+ * Return a "Continue Reading" link for excerpts.
+ *
+ * @since Twenty Fourteen 1.0
  *
  * @return string
@@ -250,6 +274,8 @@
 
 /**
- * Replaces "[...]" (appended to automatically generated excerpts) with an
+ * Replace "[...]" (appended to automatically generated excerpts) with an
  * ellipsis and twentyeleven_continue_reading_link().
+ *
+ * @since Twenty Fourteen 1.0
  *
  * @param string $more
@@ -262,8 +288,10 @@
 
 /**
- * Adds a pretty "Continue Reading" link to custom post excerpts.
+ * Add a pretty "Continue Reading" link to custom post excerpts.
  *
  * To override this link in a child theme, remove the filter and add your own
  * function tied to the get_the_excerpt filter hook.
+ *
+ * @since Twenty Fourteen 1.0
  *
  * @param string $output
@@ -280,5 +308,7 @@
 if ( ! function_exists( 'twentyfourteen_the_attached_image' ) ) :
 /**
- * Prints the attached image with a link to the next attached image.
+ * Print the attached image with a link to the next attached image.
+ *
+ * @since Twenty Fourteen 1.0
  *
  * @return void
@@ -289,5 +319,5 @@
 	$next_attachment_url = wp_get_attachment_url();
 
-	/**
+	/*
 	 * Grab the IDs of all the image attachments in a gallery so we can get the URL
 	 * of the next adjacent image in a gallery, or the first image (if we're
@@ -333,5 +363,7 @@
 if ( ! function_exists( 'twentyfourteen_list_authors' ) ) :
 /**
- * Prints a list of all site contributors who published at least one post.
+ * Print a list of all site contributors who published at least one post.
+ *
+ * @since Twenty Fourteen 1.0
  *
  * @return void
@@ -373,6 +405,9 @@
 
 /**
- * Gets recent formatted posts that are not featured in FC plugin.
- *
+ * Get recent formatted posts that are not featured in FC plugin.
+ *
+ * @since Twenty Fourteen 1.0
+ *
+ * @return object WP_Query
  */
 function twentyfourteen_get_recent( $post_format ) {
@@ -403,4 +438,7 @@
  * Filter the home page posts, and remove formatted posts visible in the sidebar from it
  *
+ * @since Twenty Fourteen 1.0
+ *
+ * @return void
  */
 function twentyfourteen_pre_get_posts( $query ) {
@@ -444,5 +482,5 @@
 
 /**
- *  Extends the default WordPress body classes.
+ * Extend the default WordPress body classes.
  *
  * Adds body classes to denote:
@@ -452,4 +490,6 @@
  * 4. Presence of footer widgets.
  *
+ * @since Twenty Fourteen 1.0
+ *
  * @param array $classes A list of existing body class values.
  * @return array The filtered body class list.
@@ -476,8 +516,10 @@
 
 /**
- * Extends the default WordPress post classes.
+ * Extend the default WordPress post classes.
  *
  * Adds a post class to denote:
  * Non-password protected page with a featured image.
+ *
+ * @since Twenty Fourteen 1.0
  *
  * @param array $classes A list of existing post class values.
@@ -493,6 +535,8 @@
 
 /**
- * Creates a nicely formatted and more specific title element text for output
+ * Create a nicely formatted and more specific title element text for output
  * in head of document, based on current view.
+ *
+ * @since Twenty Fourteen 1.0
  *
  * @param string $title Default title text for current view.
@@ -522,17 +566,10 @@
 add_filter( 'wp_title', 'twentyfourteen_wp_title', 10, 2 );
 
-/**
- * Implement the Custom Header feature
- *
- */
+// Implement Custom Header features.
 require get_template_directory() . '/inc/custom-header.php';
 
-/**
- * Custom template tags for this theme.
- */
+// Custom template tags for this theme.
 require get_template_directory() . '/inc/template-tags.php';
 
-/**
- * Customizer additions
- */
+// Add Theme Customizer functionality.
 require get_template_directory() . '/inc/customizer.php';
Index: /trunk/src/wp-content/themes/twentyfourteen/header.php
===================================================================
--- /trunk/src/wp-content/themes/twentyfourteen/header.php	(revision 25768)
+++ /trunk/src/wp-content/themes/twentyfourteen/header.php	(revision 25769)
@@ -1,5 +1,5 @@
 <?php
 /**
- * The Header for our theme.
+ * The Header for our theme
  *
  * Displays all of the <head> section and everything up till <div id="main">
@@ -7,4 +7,5 @@
  * @package WordPress
  * @subpackage Twenty_Fourteen
+ * @since Twenty Fourteen 1.0
  */
 ?><!DOCTYPE html>
Index: /trunk/src/wp-content/themes/twentyfourteen/image.php
===================================================================
--- /trunk/src/wp-content/themes/twentyfourteen/image.php	(revision 25768)
+++ /trunk/src/wp-content/themes/twentyfourteen/image.php	(revision 25769)
@@ -1,8 +1,9 @@
 <?php
 /**
- * The template for displaying image attachments.
+ * The template for displaying image attachments
  *
  * @package WordPress
  * @subpackage Twenty_Fourteen
+ * @since Twenty Fourteen 1.0
  */
 
Index: /trunk/src/wp-content/themes/twentyfourteen/inc/custom-header.php
===================================================================
--- /trunk/src/wp-content/themes/twentyfourteen/inc/custom-header.php	(revision 25768)
+++ /trunk/src/wp-content/themes/twentyfourteen/inc/custom-header.php	(revision 25769)
@@ -1,10 +1,15 @@
 <?php
 /**
+ * Implement Custom Header functionality for Twenty Fourteen
+ *
  * @package WordPress
  * @subpackage Twenty_Fourteen
+ * @since Twenty Fourteen 1.0
  */
 
 /**
- * Setup the WordPress core custom header feature.
+ * Set up the WordPress core custom header settings.
+ *
+ * @since Twenty Fourteen 1.0
  *
  * @uses twentyfourteen_header_style()
@@ -26,7 +31,9 @@
 if ( ! function_exists( 'twentyfourteen_admin_header_style' ) ) :
 /**
- * Styles the header image displayed on the Appearance > Header admin panel.
+ * Style the header image displayed on the Appearance > Header admin panel.
  *
- * @see twentyfourteen_custom_header_setup().
+ * @link twentyfourteen_custom_header_setup().
+ *
+ * @since Twenty Fourteen 1.0
  */
 function twentyfourteen_admin_header_style() {
@@ -59,7 +66,9 @@
 if ( ! function_exists( 'twentyfourteen_admin_header_image' ) ) :
 /**
- * Custom header image markup displayed on the Appearance > Header admin panel.
+ * Create the custom header image markup displayed on the Appearance > Header admin panel.
  *
- * @see twentyfourteen_custom_header_setup().
+ * @link twentyfourteen_custom_header_setup().
+ *
+ * @since Twenty Fourteen 1.0
  */
 function twentyfourteen_admin_header_image() {
Index: /trunk/src/wp-content/themes/twentyfourteen/inc/customizer.php
===================================================================
--- /trunk/src/wp-content/themes/twentyfourteen/inc/customizer.php	(revision 25768)
+++ /trunk/src/wp-content/themes/twentyfourteen/inc/customizer.php	(revision 25769)
@@ -1,12 +1,15 @@
 <?php
 /**
- * Twenty Fourteen Theme Customizer
+ * Twenty Fourteen Theme Customizer support
  *
  * @package WordPress
  * @subpackage Twenty_Fourteen
+ * @since Twenty Fourteen 1.0
  */
 
 /**
  * Add postMessage support for site title and description for the Theme Customizer.
+ *
+ * @since Twenty Fourteen 1.0
  *
  * @param WP_Customize_Manager $wp_customize Theme Customizer object.
@@ -30,5 +33,7 @@
 
 /**
- * Binds JS handlers to make Theme Customizer preview reload changes asynchronously.
+ * Bind JS handlers to make Theme Customizer preview reload changes asynchronously.
+ *
+ * @since Twenty Fourteen 1.0
  */
 function twentyfourteen_customize_preview_js() {
@@ -38,5 +43,8 @@
 
 /**
- * Generates two variants of the accent color, returns the original, and saves the others as theme mods.
+ * Generate two variants of the accent color, return the original, and
+ * save the others as theme mods.
+ *
+ * @since Twenty Fourteen 1.0
  *
  * @param string $color The original color.
@@ -53,5 +61,5 @@
 
 /**
- * Tweaks the brightness of a color by adjusting the RGB values by the given interval.
+ * Tweak the brightness of a color by adjusting the RGB values by the given interval.
  *
  * Use positive values of $steps to brighten the color and negative values to darken the color.
@@ -59,6 +67,8 @@
  * is generally maintained unless the number of steps causes one value to be capped at 0 or 255.
  *
+ * @since Twenty Fourteen 1.0
+ *
  * @param string $color The original color, in 3- or 6-digit hexadecimal form.
- * @param int $steps The number of steps to adjust the color by, in rgb units.
+ * @param int $steps The number of steps to adjust the color by, in RGB units.
  * @return string $color The new color, in 6-digit hexadecimal form.
  */
@@ -87,5 +97,9 @@
 
 /**
- * Outputs the css for the Theme Customizer options.
+ * Output the CSS for the Theme Customizer options.
+ *
+ * @since Twenty Fourteen 1.0
+ *
+ * @return void
  */
 function twentyfourteen_customizer_styles() {
Index: /trunk/src/wp-content/themes/twentyfourteen/inc/template-tags.php
===================================================================
--- /trunk/src/wp-content/themes/twentyfourteen/inc/template-tags.php	(revision 25768)
+++ /trunk/src/wp-content/themes/twentyfourteen/inc/template-tags.php	(revision 25769)
@@ -1,13 +1,16 @@
 <?php
 /**
- * Custom template tags for this theme.
+ * Custom template tags for Twenty Fourteen
  *
  * @package WordPress
  * @subpackage Twenty_Fourteen
+ * @since Twenty Fourteen 1.0
  */
 
 if ( ! function_exists( 'twentyfourteen_paging_nav' ) ) :
 /**
- * Displays navigation to next/previous set of posts when applicable.
+ * Display navigation to next/previous set of posts when applicable.
+ *
+ * @since Twenty Fourteen 1.0
  *
  * @return void
@@ -59,8 +62,10 @@
 if ( ! function_exists( 'twentyfourteen_post_nav' ) ) :
 /**
- * Displays navigation to next/previous post when applicable.
-*
-* @return void
-*/
+ * Display navigation to next/previous post when applicable.
+ *
+ * @since Twenty Fourteen 1.0
+ *
+ * @return void
+ */
 function twentyfourteen_post_nav() {
 	// Don't print empty markup if there's nowhere to navigate.
@@ -87,5 +92,7 @@
 if ( ! function_exists( 'twentyfourteen_posted_on' ) ) :
 /**
- * Prints HTML with meta information for the current post-date/time and author.
+ * Print HTML with meta information for the current post-date/time and author.
+ *
+ * @since Twenty Fourteen 1.0
  *
  * @return void
@@ -106,7 +113,9 @@
 
 /**
- * Returns true if a blog has more than 1 category
+ * Find out if blog has more than one category.
  *
- * @return boolean
+ * @since Twenty Fourteen 1.0
+ *
+ * @return boolean true if blog has more than 1 category
  */
 function twentyfourteen_categorized_blog() {
@@ -135,4 +144,7 @@
  * Flush out the transients used in twentyfourteen_categorized_blog
  *
+ * @since Twenty Fourteen 1.0
+ *
+ * @return void
  */
 function twentyfourteen_category_transient_flusher() {
@@ -144,5 +156,7 @@
 
 /**
- * Displays featured image with appropriate html tag.
+ * Display featured image with appropriate HTML tag.
+ *
+ * @since Twenty Fourteen 1.0
  *
  * @return void
Index: /trunk/src/wp-content/themes/twentyfourteen/inc/widgets.php
===================================================================
--- /trunk/src/wp-content/themes/twentyfourteen/inc/widgets.php	(revision 25768)
+++ /trunk/src/wp-content/themes/twentyfourteen/inc/widgets.php	(revision 25769)
@@ -1,11 +1,13 @@
 <?php
 /**
- * Makes a custom Widget for displaying Aside, Quote, Video, Image, Gallery,
- * and Link posts, available with Twenty Fourteen.
+ * Custom Widget for displaying specific post formats
  *
- * Learn more: http://codex.wordpress.org/Widgets_API#Developing_Widgets
+ * Displays posts from Aside, Quote, Video, Image, Gallery, and Link formats.
+ *
+ * @link http://codex.wordpress.org/Widgets_API#Developing_Widgets
  *
  * @package WordPress
  * @subpackage Twenty_Fourteen
+ * @since Twenty Fourteen 1.0
  */
 
@@ -15,4 +17,6 @@
 	 * The supported post formats.
 	 *
+	 * @since Twenty Fourteen 1.0
+	 *
 	 * @var array
 	 */
@@ -22,4 +26,6 @@
 	 * Pluralized post format strings.
 	 *
+	 * @since Twenty Fourteen 1.0
+	 *
 	 * @var array
 	 */
@@ -28,4 +34,6 @@
 	/**
 	 * Constructor.
+	 *
+	 * @since Twenty Fourteen 1.0
 	 *
 	 * @return Twenty_Fourteen_Ephemera_Widget
@@ -37,5 +45,5 @@
 		) );
 
-		/**
+		/*
 		 * @todo http://core.trac.wordpress.org/ticket/23257
 		 */
@@ -55,5 +63,7 @@
 
 	/**
-	 * Outputs the HTML for this widget.
+	 * Output the HTML for this widget.
+	 *
+	 * @since Twenty Fourteen 1.0
 	 *
 	 * @param array $args An array of standard parameters for widgets in this theme.
@@ -192,6 +202,8 @@
 
 	/**
-	 * Deals with the settings when they are saved by the admin. Here is where
-	 * any validation should be dealt with.
+	 * Deal with the settings when they are saved by the admin. Here is where
+	 * any validation should happen.
+	 *
+	 * @since Twenty Fourteen 1.0
 	 *
 	 * @param array $new_instance
@@ -211,5 +223,7 @@
 
 	/**
-	 * Deletes the transient.
+	 * Delete the transient.
+	 *
+	 * @since Twenty Fourteen 1.0
 	 *
 	 * @return void
@@ -220,5 +234,7 @@
 
 	/**
-	 * Displays the form for this widget on the Widgets page of the Admin area.
+	 * Display the form for this widget on the Widgets page of the Admin area.
+	 *
+	 * @since Twenty Fourteen 1.0
 	 *
 	 * @param array $instance
Index: /trunk/src/wp-content/themes/twentyfourteen/index.php
===================================================================
--- /trunk/src/wp-content/themes/twentyfourteen/index.php	(revision 25768)
+++ /trunk/src/wp-content/themes/twentyfourteen/index.php	(revision 25769)
@@ -1,5 +1,5 @@
 <?php
 /**
- * The main template file.
+ * The main template file
  *
  * This is the most generic template file in a WordPress theme
@@ -7,8 +7,9 @@
  * It is used to display a page when nothing more specific matches a query.
  * E.g., it puts together the home page when no home.php file exists.
- * Learn more: http://codex.wordpress.org/Template_Hierarchy
+ * @link http://codex.wordpress.org/Template_Hierarchy
  *
  * @package WordPress
  * @subpackage Twenty_Fourteen
+ * @since Twenty Fourteen 1.0
  */
 
Index: /trunk/src/wp-content/themes/twentyfourteen/page.php
===================================================================
--- /trunk/src/wp-content/themes/twentyfourteen/page.php	(revision 25768)
+++ /trunk/src/wp-content/themes/twentyfourteen/page.php	(revision 25769)
@@ -1,13 +1,13 @@
 <?php
 /**
- * The template for displaying all pages.
+ * The template for displaying all pages
  *
  * This is the template that displays all pages by default.
- * Please note that this is the WordPress construct of pages
- * and that other 'pages' on your WordPress site will use a
- * different template.
+ * Please note that this is the WordPress construct of pages and that other 'pages'
+ * on your WordPress site will use a different template.
  *
  * @package WordPress
  * @subpackage Twenty_Fourteen
+ * @since Twenty Fourteen 1.0
  */
 
Index: /trunk/src/wp-content/themes/twentyfourteen/search.php
===================================================================
--- /trunk/src/wp-content/themes/twentyfourteen/search.php	(revision 25768)
+++ /trunk/src/wp-content/themes/twentyfourteen/search.php	(revision 25769)
@@ -1,8 +1,9 @@
 <?php
 /**
- * The template for displaying Search Results pages.
+ * The template for displaying Search Results pages
  *
  * @package WordPress
  * @subpackage Twenty_Fourteen
+ * @since Twenty Fourteen 1.0
  */
 
Index: /trunk/src/wp-content/themes/twentyfourteen/sidebar-content.php
===================================================================
--- /trunk/src/wp-content/themes/twentyfourteen/sidebar-content.php	(revision 25768)
+++ /trunk/src/wp-content/themes/twentyfourteen/sidebar-content.php	(revision 25769)
@@ -1,8 +1,9 @@
 <?php
 /**
- * The Content Sidebar.
+ * The Content Sidebar
  *
  * @package WordPress
  * @subpackage Twenty_Fourteen
+ * @since Twenty Fourteen 1.0
  */
 if ( ! is_active_sidebar( 'sidebar-2' ) )
Index: /trunk/src/wp-content/themes/twentyfourteen/sidebar-footer.php
===================================================================
--- /trunk/src/wp-content/themes/twentyfourteen/sidebar-footer.php	(revision 25768)
+++ /trunk/src/wp-content/themes/twentyfourteen/sidebar-footer.php	(revision 25769)
@@ -1,8 +1,9 @@
 <?php
 /**
- * The Sidebar containing the main widget area.
+ * The Footer Sidebar
  *
  * @package WordPress
  * @subpackage Twenty_Fourteen
+ * @since Twenty Fourteen 1.0
  */
 
Index: /trunk/src/wp-content/themes/twentyfourteen/sidebar.php
===================================================================
--- /trunk/src/wp-content/themes/twentyfourteen/sidebar.php	(revision 25768)
+++ /trunk/src/wp-content/themes/twentyfourteen/sidebar.php	(revision 25769)
@@ -1,8 +1,9 @@
 <?php
 /**
- * The Sidebar containing the main widget area.
+ * The Sidebar containing the main widget area
  *
  * @package WordPress
  * @subpackage Twenty_Fourteen
+ * @since Twenty Fourteen 1.0
  */
 ?>
Index: /trunk/src/wp-content/themes/twentyfourteen/single.php
===================================================================
--- /trunk/src/wp-content/themes/twentyfourteen/single.php	(revision 25768)
+++ /trunk/src/wp-content/themes/twentyfourteen/single.php	(revision 25769)
@@ -1,8 +1,9 @@
 <?php
 /**
- * The Template for displaying all single posts.
+ * The Template for displaying all single posts
  *
  * @package WordPress
  * @subpackage Twenty_Fourteen
+ * @since Twenty Fourteen 1.0
  */
 
Index: /trunk/src/wp-content/themes/twentyfourteen/tag.php
===================================================================
--- /trunk/src/wp-content/themes/twentyfourteen/tag.php	(revision 25768)
+++ /trunk/src/wp-content/themes/twentyfourteen/tag.php	(revision 25769)
@@ -1,12 +1,13 @@
 <?php
 /**
- * The template for displaying Tag pages.
+ * The template for displaying Tag pages
  *
  * Used to display archive-type pages for posts in a tag.
  *
- * Learn more: http://codex.wordpress.org/Template_Hierarchy
+ * @link http://codex.wordpress.org/Template_Hierarchy
  *
  * @package WordPress
  * @subpackage Twenty_Fourteen
+ * @since Twenty Fourteen 1.0
  */
 
Index: /trunk/src/wp-content/themes/twentyfourteen/taxonomy-post_format.php
===================================================================
--- /trunk/src/wp-content/themes/twentyfourteen/taxonomy-post_format.php	(revision 25768)
+++ /trunk/src/wp-content/themes/twentyfourteen/taxonomy-post_format.php	(revision 25769)
@@ -1,5 +1,5 @@
 <?php
 /**
- * The template for displaying Post Format pages.
+ * The template for displaying Post Format pages
  *
  * Used to display archive-type pages for posts with a post format.
@@ -7,8 +7,9 @@
  * new template file for each specific one.
  *
- * Learn more: http://codex.wordpress.org/Template_Hierarchy
+ * @link http://codex.wordpress.org/Template_Hierarchy
  *
  * @package WordPress
  * @subpackage Twenty_Fourteen
+ * @since Twenty Fourteen 1.0
  */
 