Index: /trunk/src/wp-admin/css/wp-admin.css
===================================================================
--- /trunk/src/wp-admin/css/wp-admin.css	(revision 26276)
+++ /trunk/src/wp-admin/css/wp-admin.css	(revision 26277)
@@ -10305,12 +10305,15 @@
 	padding: 15px 15px;
 }
+
 div#widgets-right .sidebar-name .sidebar-name-arrow:before {
 	right: 0;
 	top: 4px;
 }
+
 div#widgets-right .widget-top {
 	padding: 0;
 	background: #f7f7f7;
 }
+
 div#widgets-right .widget-title-action {
 	float: right;
@@ -10319,8 +10322,10 @@
 	right: 10px;
 }
+
 div#widgets-right a.widget-action:after {
 	content: '\f111';
 	color: #888;
 }
+
 div#widgets-right .widget-inside {
 	border-top: 1px solid #dedede;
@@ -10328,9 +10333,9 @@
 
 div#widgets-right .widgets-sortables {
-	min-height: 42px !important; /* Inline styles */
 	padding: 0 8px;
 	margin-bottom: 8px;
 	position: relative;
 }
+
 div#widgets-right .widgets-sortables:before {
 	display: block;
@@ -10347,4 +10352,9 @@
 	font-weight: 600;
 	color: #aaa;
+}
+
+.sidebar-name .spinner {
+	margin: -5px 5px;
+	float: none;
 }
 
Index: /trunk/src/wp-admin/js/widgets.js
===================================================================
--- /trunk/src/wp-admin/js/widgets.js	(revision 26276)
+++ /trunk/src/wp-admin/js/widgets.js	(revision 26277)
@@ -11,6 +11,5 @@
 			selectSidebar = chooser.find('.widgets-chooser-sidebars'),
 			sidebars = $('div.widgets-sortables'),
-			isRTL = !! ( 'undefined' !== typeof isRtl && isRtl ),
-			margin = ( isRTL ? 'marginRight' : 'marginLeft' );
+			isRTL = !! ( 'undefined' !== typeof isRtl && isRtl );
 
 		$('#widgets-right').children('.widgets-holder-wrap').children('.sidebar-name').click( function() {
@@ -28,32 +27,28 @@
 		});
 
-		sidebars.each(function(){
-			if ( $(this).parent().hasClass('inactive') )
-				return true;
-
-			var h = 50, H = $(this).children('.widget').length;
-			h = h + parseInt(H * 48, 10);
-			$(this).css( 'minHeight', h + 'px' );
-		});
-
 		$(document.body).bind('click.widgets-toggle', function(e){
-			var target = $(e.target), css = {}, widget, inside, w;
+			var target = $(e.target), css = { 'z-index': 100 }, widget, inside, w;
 
 			if ( target.parents('.widget-top').length && ! target.parents('#available-widgets').length ) {
 				widget = target.closest('div.widget');
 				inside = widget.children('.widget-inside');
-				w = parseInt( widget.find('input.widget-width').val(), 10 );
+				targetWidth = parseInt( widget.find('input.widget-width').val(), 10 ),
+				widgetWidth = widget.width();
 
 				if ( inside.is(':hidden') ) {
-					if ( w > 250 && inside.closest('div.widgets-sortables').length ) {
-						if ( inside.closest('div.widget-liquid-right').length )
-							css[margin] = 235 - w + 'px';
-						widget.css(css);
+					if ( targetWidth > 250 && ( targetWidth + 30 > widgetWidth ) && widget.closest('div.widgets-sortables').length ) {
+						if ( widget.closest('div.widget-liquid-right').length ) {
+							margin = isRTL ? 'margin-right' : 'margin-left';
+						} else {
+							margin = isRTL ? 'margin-left' : 'margin-right';
+						}
+
+						css[ margin ] = widgetWidth - ( targetWidth + 30 ) + 'px';
+						widget.css( css );
 					}
-					wpWidgets.fixLabels(widget);
 					inside.slideDown('fast');
 				} else {
 					inside.slideUp('fast', function() {
-						widget.css({'width':'', margin:''});
+						widget.attr( 'style', '' );
 					});
 				}
@@ -105,5 +100,4 @@
 			start: function(e,ui) {
 				ui.item.children('.widget-inside').hide();
-				ui.item.css({margin:'', 'width':''});
 			},
 			stop: function(e,ui) {
@@ -122,5 +116,5 @@
 					sb = $(this).attr('id');
 
-				ui.item.css({margin:'', 'width':''});
+				ui.item.attr( 'style', '' );
 				the_id = '';
 
@@ -259,6 +253,4 @@
 			$('.spinner').hide();
 		});
-
-		this.resize();
 	},
 
@@ -299,5 +291,4 @@
 				} else {
 					widget.remove();
-					wpWidgets.resize();
 				}
 			} else {
@@ -306,5 +297,4 @@
 					$('div.widget-content', widget).html(r);
 					wpWidgets.appendTitle(widget);
-					wpWidgets.fixLabels(widget);
 				}
 			}
@@ -325,26 +315,7 @@
 	},
 
-	resize : function() {
-		$('div.widgets-sortables').each(function(){
-			if ( $(this).parent().hasClass('inactive') )
-				return true;
-
-			var h = 50, H = $(this).children('.widget').length;
-			h = h + parseInt(H * 48, 10);
-			$(this).css( 'minHeight', h + 'px' );
-		});
-	},
-
-	fixLabels : function(widget) {
-		widget.children('.widget-inside').find('label').each(function(){
-			var f = $(this).attr('for');
-			if ( f && f === $('input', this).attr('id') )
-				$(this).removeAttr('for');
-		});
-	},
-
 	close : function(widget) {
-		widget.children('.widget-inside').slideUp('fast', function(){
-			widget.css({'width':'', margin:''});
+		widget.children('.widget-inside').slideUp('fast', function() {
+			widget.attr( 'style', '' );
 		});
 	},